Get Pools
GET
/zfs/pools
const url = 'https://sylve.lan:8181/api/zfs/pools?all=false';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/zfs/pools?all=false' \ --header 'Authorization: <Authorization>'Get all ZFS pools
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”all
boolean
Include pools that are not configured as usable
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
allocated
integer
dedup
object
key
additional properties
object
allocated
integer
class
string
fragmentation
number
free
integer
guid
string
name
string
path
string
phys_path
string
properties
object
key
additional properties
object
source
object
data
string
type
string
value
string
size
integer
state
string
vdev_type
string
vdevs
object
key
additional properties
object recursive
dedup_ratio
number
fragmentation
number
free
integer
l2cache
object
key
additional properties
object
allocated
integer
class
string
fragmentation
number
free
integer
guid
string
name
string
path
string
phys_path
string
properties
object
key
additional properties
object
source
object
data
string
type
string
value
string
size
integer
state
string
vdev_type
string
vdevs
object
key
additional properties
object recursive
logs
object
key
additional properties
object
allocated
integer
class
string
fragmentation
number
free
integer
guid
string
name
string
path
string
phys_path
string
properties
object
key
additional properties
object
source
object
data
string
type
string
value
string
size
integer
state
string
vdev_type
string
vdevs
object
key
additional properties
object recursive
name
string
pool_guid
string
properties
object
key
additional properties
object
source
object
data
string
type
string
value
string
size
integer
spa_version
string
spares
object
key
additional properties
object
allocated
integer
class
string
fragmentation
number
free
integer
guid
string
name
string
path
string
phys_path
string
properties
object
key
additional properties
object
source
object
data
string
type
string
value
string
size
integer
state
string
vdev_type
string
vdevs
object
key
additional properties
object recursive
special
object
key
additional properties
object
allocated
integer
class
string
fragmentation
number
free
integer
guid
string
name
string
path
string
phys_path
string
properties
object
key
additional properties
object
source
object
data
string
type
string
value
string
size
integer
state
string
vdev_type
string
vdevs
object
key
additional properties
object recursive
state
string
txg
string
type
string
zpl_version
string
error
string
message
string
status
string
Example
{ "data": [ { "state": "ONLINE" } ]}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}